﻿<div class="modal fade" data-backdrop="static" data-keyboard="false" id="PaySlipModal" tabindex="-1" role="dialog" aria-labelledby="PaySlipModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" class="btn btn-danger btn-xs pull-right" onclick="function close(){window.location.reload(true)};close()"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.PaySlip</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="payslipid" name="payslipid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="staffname">@Resources.Content.Staff</label>
                            <select class="form-control input-sm" id="staffid" onchange="ChangeStaff()">
                                <option value="0">---Select Staff Name----</option>
                                @foreach (var position in Model.StaffList)
                                {
                                    <option value=@position.id>@position.namekh</option>
                                }
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="salary">@Resources.Content.Salary</label>
                            <input id="salary" name="salary" disabled placeholder="Enter Staff Name Khmer" type="number" value="0.00" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="vat">@Resources.Content.Vat</label>
                            <input onfocus="this.select();" oninput="VatChange()" id="vat" name="vat" placeholder="Enter Staff Name" type="text" value="0.00" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="penanty">@Resources.Content.Penanty</label>
                            <input onfocus="this.select();" oninput="PenantyChange()" id="penanty" name="penanty" placeholder="Enter Identity No" type="number" value="0.00" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="bonus">@Resources.Content.Bonus</label>
                            <input onfocus="this.select();" oninput="BonusChange()" id="bonus" name="bonus" placeholder="Enter Staff Name Khmer" type="number" value="0.00" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="totalsalary">@Resources.Content.TotalSalaray</label>
                            <input id="totalsalary" name="totalsalary" placeholder="" type="number" value="0.00" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="note">@Resources.Content.Note</label>
                            <input id="note" name="note" placeholder="Enter Staff Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                </div>


            </div>
            <div class="modal-footer">
                <button type="button" id="btnTest" onclick="function close(){window.location.reload(true)};close()" style="margin-left:5px;width:100px" class="btn btn-danger btn-sm pull-right"><span class="glyphicon glyphicon-remove"></span> @Resources.Content.Close</button>
                <button type="button" id="btnSaveStaff" onclick="SaveStaffAction()" class="btn btn-info btn-sm pull-right" style="width:100px"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                <button type="button" id="btnUpdateStaff" onclick="UpdateStaffAction()" class="btn btn-success btn-sm pull-right" style="width:100px"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
            </div>
        </div>
    </div>
</div>

<script>
    function SaveStaffAction() {
        if ($("#staffid").val() == 0) {
            $("#staffid").focus();
            toastr.info("Please select staff!", "Server Respond")
            return false;
        }

        var data = new FormData();
        data.append("staffid", $("#staffid").val());
        data.append("salary", $("#salary").val());
        data.append("vat", $("#vat").val());
        data.append("penanty", $("#penanty").val());
        data.append("bonus", $("#bonus").val());
        data.append("note", $("#note").val());
        data.append("totalsalary", $("#totalsalary").val());
        $.ajax({
            type: "POST",
            url: "/api/payslips",
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("Insert record successfully.", "Server Response");
                $('#PaySlipModal').modal('hide');
                window.location = "/payslip-rpt/" + result;
                tablePaySlip.DataTable().ajax.reload();
            },
            error: function (error) {
                console.log(error);
                toastr.error("Record Already Exists!.", "Server Response");
            }
        });
    }
    function UpdateStaffAction() {
        var data = new FormData();
        data.append("staffid", $("#staffid").val());
        data.append("salary", $("#salary").val());
        data.append("vat", $("#vat").val());
        data.append("penanty", $("#penanty").val());
        data.append("bonus", $("#bonus").val());
        data.append("note", $("#note").val());
        data.append("totalsalary", $("#totalsalary").val());
        $.ajax({
            type: "PUT",
            url: "/api/payslips/" + $('#payslipid').val(),
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("Insert record successfully.", "Server Response");
                $('#PaySlipModal').modal('hide');
                window.location = "/payslip-rpt/" + $('#payslipid').val();
                tablePaySlip.DataTable().ajax.reload();
            },
            error: function (error) {
                console.log(error);
                toastr.error("Record Already Exists!.", "Server Response");
            }
        });
    }


    function ChangeStaff() {
        var staffid = document.getElementById('staffid').value;
        if (staffid == 0) {
            $('#salary').val('0.00');
            TotalSalary();
        } else {
            $.ajax({
                url: "/api/salaries/1/" + staffid,
                type: "GET",
                contentType: "application/json;charset=utf-8",
                datatype: "json",
                success: function (result) {
                    $('#salary').val(result.salary);
                    $('#totalsalary').val(result.salary);
                    TotalSalary();
                },
                error: function (errormessage) {
                    toastr.error("No Record Select!", "Service Response");
                }
            });
        }
    }

    function VatChange() {
        TotalSalary();
    }

    function PenantyChange() {
        TotalSalary();
    }

    function BonusChange() {
        TotalSalary();
    }

    function TotalSalary() {
        var salary = document.getElementById('salary').value;
        var vat = document.getElementById('vat').value;
        var penanty = document.getElementById('penanty').value;
        var bonus = document.getElementById('bonus').value;
        var totalsalry = parseFloat(salary) + parseFloat(bonus) - parseFloat(penanty) - (parseFloat(vat) * parseFloat(salary) / 100);
        $('#totalsalary').val(totalsalry);
    }
</script>
